weipa::QuadMaskInfo Struct Reference

This struct holds a mask (0's and 1's) that indicates which quad nodes contribute to a sub-element when full element order is used. factor[i] contains the number of non-zeroes in mask[i]. More...

`#include <ElementData.h>`

## Public Attributes

std::vector< IntVec > | mask
IntVec | factor

## Detailed Description

This struct holds a mask (0's and 1's) that indicates which quad nodes contribute to a sub-element when full element order is used. factor[i] contains the number of non-zeroes in mask[i].

## Member Data Documentation

## factor

IntVec weipa::QuadMaskInfo::factor

Referenced by weipa::DataVar::averageData(), and weipa::FinleyElements::buildQuadMask().

## mask

std::vector<IntVec> weipa::QuadMaskInfo::mask

Referenced by weipa::DataVar::averageData(), and weipa::FinleyElements::buildQuadMask().

The documentation for this struct was generated from the following file:

- ElementData.h